#
# spec file for package iptables (Version 1.4.7)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           iptables
License:        GPLv2+
Group:          Productivity/Networking/Security
Version:        1.4.7
Release:        1
Summary:        IP Packet Filter Administration

#Git-Web:	http://git.netfilter.org/
#Git-Clone:	git://git.netfilter.org/iptables
Source:         http://netfilter.org/projects/iptables/files/iptables-1.4.7.tar.bz2
Patch0:         %{name}-batch.patch
Url:            http://netfilter.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  sgmltool pkg-config

%description
Iptables is used to set up, maintain, and inspect the tables of IP
packet filter rules in the Linux kernel. This version requires kernel
2.4.0 or newer.

%package devel
License:        GPLv2+
Summary:        Libraries, Headers and Development Man Pages for iptables
Group:          Development/Libraries/C and C++
AutoReqProv:    on
Requires:       %{name} = %{version}

%description devel
These libraries are needed to compile programs against libipq.

%prep
%setup -q
%patch -P 0 -p1

%build
if [ ! -e configure ]; then
	./autogen.sh;
fi
# bnc#561793 - do not include unclean module in iptables manpage
rm -rf extensions/libipt_unclean.man
%configure \
    --enable-libipq
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install
# iptables-apply is not installed by upstream Makefile
install -m0755 iptables-apply $RPM_BUILD_ROOT%{_sbindir}/
install -m0644 iptables-apply.8 $RPM_BUILD_ROOT%{_mandir}/man8/
find "$RPM_BUILD_ROOT" -iname "*.la" -delete

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING INCOMPATIBILITIES
%doc %{_mandir}/man8/*
%{_bindir}/iptables*
%{_sbindir}/iptables*
%{_sbindir}/ip6tables*
%dir %{_libexecdir}/xtables
%{_libexecdir}/xtables/*
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc %{_mandir}/man3/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/xtables.pc
%{_libdir}/pkgconfig/libiptc.pc

%changelog
